Subject: IPv10.

From: Khaled Omar <[email-masked]>
Date: Fri, 11 Nov 2016 13:38:34 +0000

You can find the latest version of the IPv10 draft attached in this e-mail.

---

From: Laurent Kuffert <[email-masked]>
Date: Fri, 11 Nov 2016 14:53:27 +0100

Could you please link to a version of the draft as a simple .txt file or something similar that isn't as "dangerous"? I think because of the use of PDFs as a way to attack computer systems some (if not many) people on this list feel uncomfortable when opening "random" PDFs.

Don't take that as an offense please but being careful is never a bad idea and getting most people to look at your draft probably is in your interest too.

Am 11.11.2016 2:38 nachm. schrieb Khaled Omar <[email-masked]>:

---

From: Randy Bush <[email-masked]>
Date: Fri, 11 Nov 2016 23:24:43 +0900

> Could you please link to a version of the draft as a simple .txt file
> or something similar that isn't as "dangerous"?

i opened it in a scratch monkey vm.  it seems ok.  it uses a lot of
graphics.  considering we now use pdf in the draft repos, hard to
complain.

randy

---

From: Emily Shepherd <[email-masked]>
Date: Fri, 11 Nov 2016 14:51:24 +0000

>You can find the latest version of the IPv10 draft attached in this e-mail.

This looks fairly similar to just using a IPv4-mapped IPv6 address 
within an IPv6 packet [RFC4038]; is there a nuance I'm missing here?

Emily

[RFC4038] Shin, M-K., Ed., Hong, Y-G., Hagino, J., Savola, P., and
          E. Castro, "Application Aspects of IPv6 Transition",
          RFC 4038, DOI 10.17487/RFC4038, March 2005,
          <http://www.rfc-editor.org/info/rfc4038>.

-- 
Emily Shepherd
Computer Science Graduate, MEng (Hons)
W: https://emilyshepherd.me/
M: +44(0)7575 721 231

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 12 Nov 2016 11:45:29 +1300

> within an IPv6 packet [RFC4038]; is there a nuance I'm missing here?

Not a big one. Using version number 10 isn't necessary; these could
be standard IPv6 packets. But of course it doesn't solve the basic problem
that makes dual-stack or a middlebox of some kind essential: an unmodified
IPv4 host can't talk to an IPv6 host, or an IPv10 host, because it doesn't
understand the new packet format. So this solution does nothing for backwards
compatibility, unfortunately.

There is a nuance, but a minor one. In the addressing architecture,
"IPv4-mapped" address are under the prefix 0:0:0:0:0:ffff::/96
and are used *internally* in a dual stack host to allow an IPv6
application to use the IPv6 (INET6) socket API to talk to a remote
IPv4 host *via IPv4*.

The deprecated "IPv4-compatible" addresses were under ::/96, which
is the format used in this IPv10 document.

Before we deprecated this, it was all described in RFC 2893 at
https://tools.ietf.org/html/rfc2893#section-5. Unfortunately it
didn't help much, for the reason above.

So Khaled - the good news is that basically you reinvented an idea that
was part of the orginal transition plan for IPv6. The bad news is that we
found out some years ago that it doesn't really help, so we dropped it.

The worse news, slightly embarrassing for me as it happens, is that
RFC 4213 explains that IPv4-compatible addresses were deprecated
in favour of "a much more general mechanism ...specified in RFC 3056"
which has also been largely deprecated due the problems it caused (RFC 7526).

The actual deprecation was discussed at IETF 62 in March 2005 and confirmed
on the IPv6 WG mailing list during that month. The most recent discussion of
the topic that I found is at https://tools.ietf.org/html/rfc7059#section-3.2

Regards
    Brian Carpenter

> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>

---

From: Mark Smith <[email-masked]>
Date: Sat, 12 Nov 2016 10:54:29 +1100

> compatibility, unfortunately.

I've thought it can be useful to think about how hard this problem is
to solve in a different context.

Imagine you wanted to achieve perfect translation between two spoken
languages, meaning no lost of any meaning at all after translation,
including nuance, and one of the languages only has 10% or less of the
words the other does.

Trying to translate between IPv4 and IPv6 perfectly is the same sort of problem.

Regards,
Mark.